Debian Bug report logs - #667984
libgtop2: FTBFS(kfreebsd): __printflike undefined

version graph

Package: src:libgtop2; Maintainer for src:libgtop2 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Steven Chamberlain <steven@pyro.eu.org>

Date: Sat, 7 Apr 2012 20:27:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version libgtop2/2.28.4-2

Fixed in version libgtop2/2.28.4-3

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=674067

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#667984; Package src:libgtop2. (Sat, 07 Apr 2012 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 07 Apr 2012 20:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: submit@bugs.debian.org
Subject: libgtop2: FTBFS(kfreebsd): __printflike undefined
Date: Sat, 07 Apr 2012 21:25:29 +0100
[Message part 1 (text/plain, inline)]
Package: src:libgtop2
Version: 2.28.4-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the
past)

Hi,

This looks to be a kfreebsd headers issue in either libbsd or eglibc but
I'm not sure yet, so filing this FTBFS against src:libgtop2 for now.

/usr/include/bsd/sys/cdefs.h is being included but not used due to ifdef
statements.  There is no corresponding __printflike definition in
/usr/include/i386-kfreebsd-gnu/sys/cdefs.h

The modification in the attached diff allowed me to build this package
on kfreebsd-i386.

> steven@kfreebsd-i386:~/libgtop2-2.28.4/sysdeps/freebsd$ gcc -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../.. -I../../sysdeps/freebsd -I../../include -I/usr/include/glib-2.0 -I/usr/li
> b/i386-kfreebsd-gnu/glib-2.0/include -D_FORTIFY_SOURCE=2 -Winline -Wall -std=gnu89 -Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith
>  -Wcast-align -Wsign-compare -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c procmap.c  -fPIC -DPIC -o .libs/procm
> ap.o 
> In file included from ./glibtop_machine.h:26:0,
>                  from ../../glibtop.h:58,
>                  from procmap.c:23:
> /usr/include/nlist.h:33:2: warning: #warning "Deprecated header, use <bsd/nlist.h> or libbsd-overlay.pc instead." [-Wcpp]
> In file included from procmap.c:43:0:
> /usr/include/sys/conf.h: In function ‘make_dev_alias’:
> /usr/include/sys/conf.h:281:3: error: expected declaration specifiers before ‘__printflike’
> /usr/include/sys/conf.h:299:16: error: storage class specified for parameter ‘cdevpriv_dtr_t’
> /usr/include/sys/conf.h:301:36: error: expected declaration specifiers or ‘...’ before ‘cdevpriv_dtr_t’
> /usr/include/sys/conf.h:322:16: error: storage class specified for parameter ‘dev_clone_fn’
> /usr/include/sys/conf.h:326:1: error: expected specifier-qualifier-list before ‘dev_clone_fn’
> /usr/include/sys/conf.h:343:12: error: storage class specified for parameter ‘dumping’

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[sys-cdefs-printflike.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#667984; Package src:libgtop2. (Sat, 07 Apr 2012 20:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 07 Apr 2012 20:39:02 GMT) Full text and rfc822 format available.

Message #10 received at 667984@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 667984@bugs.debian.org
Subject: Re: Bug#667984: libgtop2: FTBFS(kfreebsd): __printflike undefined
Date: Sat, 7 Apr 2012 22:35:57 +0200
El 7 d’abril de 2012 22:25, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> There is no corresponding __printflike definition in
> /usr/include/i386-kfreebsd-gnu/sys/cdefs.h

Would be great if we could have __printflike in <sys/cdefs.h>, but we
can't add it there (this file is part of Glibc).

>> /usr/include/sys/conf.h:281:3: error: expected declaration specifiers before ‘__printflike’
>> /usr/include/sys/conf.h:299:16: error: storage class specified for parameter ‘cdevpriv_dtr_t’

This section of <sys/conf.h> is protected by "#ifdef _KERNEL".

It means something in userland is defining that macro. That's very
wrong! _KERNEL is only supposed to be defined when building kernel
image or modules.

Can you find the culprit?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#667984; Package src:libgtop2. (Sat, 07 Apr 2012 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 07 Apr 2012 22:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 667984@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 667984@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#667984: libgtop2: FTBFS(kfreebsd): __printflike undefined
Date: Sat, 07 Apr 2012 23:07:09 +0100
[Message part 1 (text/plain, inline)]
tags 667984 + patch
thanks

On 07/04/12 21:35, Robert Millan wrote:
> This section of <sys/conf.h> is protected by "#ifdef _KERNEL".
> 
> It means something in userland is defining that macro. That's very
> wrong! _KERNEL is only supposed to be defined when building kernel
> image or modules.

Thanks for explaining.

libgtop2's sysdeps/freebsd/procmap.c defines _KERNEL, to be able to
include sys/pipe.h, but doesn't undef it before including sys/conf.h
(cdefs gets included within sys/conf.h > eglibc's param.h > limits.h).

I don't see why libgtop2 needs sys/pipe.h at all;  it seems to build
okay without, and it's not meant to be used anyway in userland since 2005:

http://svnweb.freebsd.org/base?view=revision&revision=132478

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[06_kfreebsd_sys_pipe.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 12:57:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#667984; Package src:libgtop2. (Fri, 13 Apr 2012 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 13 Apr 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 667984@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 667984@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#667984: libgtop2: FTBFS(kfreebsd): __printflike undefined
Date: Fri, 13 Apr 2012 19:58:14 +0200
[Message part 1 (text/plain, inline)]
forwarded 667984 https://bugzilla.gnome.org/show_bug.cgi?id=674067
thanks

On 08.04.2012 00:07, Steven Chamberlain wrote:
> tags 667984 + patch
> thanks
> 

Thanks for the patch.
I've forwarded it upstream.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=674067'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 13 Apr 2012 18:00:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 13 Apr 2012 18:42:06 GMT) Full text and rfc822 format available.

Notification sent to Steven Chamberlain <steven@pyro.eu.org>:
Bug acknowledged by developer. (Fri, 13 Apr 2012 18:42:06 GMT) Full text and rfc822 format available.

Message #29 received at 667984-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 667984-close@bugs.debian.org
Subject: Bug#667984: fixed in libgtop2 2.28.4-3
Date: Fri, 13 Apr 2012 18:39:03 +0000
Source: libgtop2
Source-Version: 2.28.4-3

We believe that the bug you reported is fixed in the latest version of
libgtop2, which is due to be installed in the Debian FTP archive:

gir1.2-gtop-2.0_2.28.4-3_amd64.deb
  to main/libg/libgtop2/gir1.2-gtop-2.0_2.28.4-3_amd64.deb
libgtop2-7_2.28.4-3_amd64.deb
  to main/libg/libgtop2/libgtop2-7_2.28.4-3_amd64.deb
libgtop2-common_2.28.4-3_all.deb
  to main/libg/libgtop2/libgtop2-common_2.28.4-3_all.deb
libgtop2-dev_2.28.4-3_amd64.deb
  to main/libg/libgtop2/libgtop2-dev_2.28.4-3_amd64.deb
libgtop2-doc_2.28.4-3_all.deb
  to main/libg/libgtop2/libgtop2-doc_2.28.4-3_all.deb
libgtop2_2.28.4-3.debian.tar.gz
  to main/libg/libgtop2/libgtop2_2.28.4-3.debian.tar.gz
libgtop2_2.28.4-3.dsc
  to main/libg/libgtop2/libgtop2_2.28.4-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667984@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated libgtop2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 13 Apr 2012 20:13:21 +0200
Source: libgtop2
Binary: libgtop2-7 libgtop2-dev libgtop2-common libgtop2-doc gir1.2-gtop-2.0
Architecture: source all amd64
Version: 2.28.4-3
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 gir1.2-gtop-2.0 - gtop system monitoring library (gir bindings)
 libgtop2-7 - gtop system monitoring library (shared)
 libgtop2-common - gtop system monitoring library (common)
 libgtop2-dev - gtop system monitoring library (devel)
 libgtop2-doc - gtop system monitoring library (documentation)
Closes: 667984
Changes: 
 libgtop2 (2.28.4-3) unstable; urgency=low
 .
   * debian/patches/06_kfreebsd_sys_pipe.patch: Don't include sys/pipe.h on
     kFreeBSD. Defining _KERNEL to include sys/pipe.h subsequently breaks
     sys/conf.h; since sys/pipe.h is not meant to be used in userland, and
     libgtop2 builds anyway on kFreeBSD without it, don't include it.
     Thanks to Steven Chamberlain for the patch. Closes: #667984
   * Update Vcs-* URLs.
   * Drop Build-Depends on gir1.2-glib-2.0 and let libgirepository1.0-dev pull
     this dependency.
   * Bump Standards-Version to 3.9.3.
Checksums-Sha1: 
 db9d596bff89e86b1de3d22d79fb8c58719e0891 2647 libgtop2_2.28.4-3.dsc
 53f3087fb56da065340d9a27960c0ef42c6a6f47 14551 libgtop2_2.28.4-3.debian.tar.gz
 49561cd69d42473b528a3669311f589ea117c933 118918 libgtop2-common_2.28.4-3_all.deb
 81e7c9be2545b93502514363900645670e0ebf09 114778 libgtop2-doc_2.28.4-3_all.deb
 33aeeab43547eca41ed73d4b7de73181a0beae72 73282 libgtop2-7_2.28.4-3_amd64.deb
 7266e6d211f3a6060eec5bd01c43c60470aebf2a 108668 libgtop2-dev_2.28.4-3_amd64.deb
 40c31f4e4ae852f060b7a8a848a376985a09ac43 56736 gir1.2-gtop-2.0_2.28.4-3_amd64.deb
Checksums-Sha256: 
 0beffe81e59801d99da9997ecd1dc0c929b601c0e631d8e934662df9c83129f1 2647 libgtop2_2.28.4-3.dsc
 0e64a9f4ebd0721c16fd9a8e97a53707d8b40ba2976b3a8135bbe0b4e3f7db56 14551 libgtop2_2.28.4-3.debian.tar.gz
 fd661db03103542a09d976b9ce253984d9b6e59db104a349899c9ef1ec68a613 118918 libgtop2-common_2.28.4-3_all.deb
 e15373d7a56caeccf4f86e1c7e8b6735b47bbcd8afedf802a6104a7b3120ecaa 114778 libgtop2-doc_2.28.4-3_all.deb
 9da73604d943b9e4b22f3114594468344bb4d698d28250c9c756a7a435c44100 73282 libgtop2-7_2.28.4-3_amd64.deb
 ecbab5362f6433495c4fdc68757989b802b95c0bcef8d89485ef2bbcf4dfedb6 108668 libgtop2-dev_2.28.4-3_amd64.deb
 7d029589e875b793696d51deb9eea49fbe2d41c2ac50f5279a503902b44f6616 56736 gir1.2-gtop-2.0_2.28.4-3_amd64.deb
Files: 
 8829e964c9df9e2610fd2e576d97bcff 2647 libs optional libgtop2_2.28.4-3.dsc
 986f04949008eddaaf4dcee4a3486e1b 14551 libs optional libgtop2_2.28.4-3.debian.tar.gz
 5ebdb075525b5fd46ccb2532b5338eb0 118918 libs optional libgtop2-common_2.28.4-3_all.deb
 969cb1abd6508b7571fb9d022b528db2 114778 doc optional libgtop2-doc_2.28.4-3_all.deb
 5c8f3e410a2a23881aa00d450dc3d55e 73282 libs optional libgtop2-7_2.28.4-3_amd64.deb
 5a928f29cb53789b876b651e56b20f28 108668 libdevel optional libgtop2-dev_2.28.4-3_amd64.deb
 efa699bac9ef1fccca9da1c4fa80fc64 56736 introspection optional gir1.2-gtop-2.0_2.28.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPiG1bAAoJEGrh3w1gjyLcqPwP/iNEEo/0TXs6edseDs6+ImgS
rzBunQsKLUeC35CUxR0tCNZkm5g0BttEzBIvQHPjiFtgr0uCv4cfkybAGKpIwFKr
BkZavYCHgCL7XRgP1oM0PTn+Xuf0jRdSJZQ/2MRoCJ7vE7oir3WoYr5GBkRTGRCp
fXiuDHSoR8NpgPOqE+k7DrcgZzOfF34bnMUTPgsu3JjiESzIf1xhbnQWoh8IaU54
yaQ5OUaUYLQapkQ/SqFdmUXWphED0oKYMy7N+hfJJPhXX408WUdJGVx8fuHYRRi1
Zs+jsFrhAWHX5olcWES4P9CGahLTBZ+u/GUaHHuBOPXr4IoqfRtWzcYC6qm1saKE
V0EvbiccyNh7Y/KJX+kMbaG3R06TwX7rrtZEKtYuZ9ep7WBNrrvY2VYJ2Dsntv0Q
CJfdaa0K3hr7NrCo/qr8TdvmmAUnxf+zJtXhFVKCqIhsb6IDilsy1KU7dw0gA+cw
c07QCVQz/P7+Cxnwfnfy6PrL66yuDI41zORUFnNJYeRj5OJpscBqH84SIm2PbGKq
eTdCUztpwfqIw6wYo6DbEaBxJ6VH1ViEfaD2jVM7LxA/df6zLHv7LMA4fTF3VKNS
Xs5Fpg4TMfznEwG69SKdz4DfIm4inm1a6gRnJZkaB6p8XO+vIL2fmF48GzM0FwH8
kyTHY16vlqPa4tJ4wltk
=5Iyn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 May 2012 07:41:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:37:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.